/custom_fields Create a new custom field
Only admins can create custom fields.
Request body
idstringbson-idID of the custom field
namestringrequiredName of the custom field
typestringrequiredType of the custom field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a contact doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).
enum: anniversary · date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider
positionintegerint32The position of the custom field in the list
choicesarray<string>A list of possible choices (for fields of type `multiple_choice` or `select_box`)
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
custom_fieldobjectExtra user-configurable data fields for Contacts. Only editable by admins.
object fields →
idstringbson-idID of the custom field
namestringrequiredName of the custom field
typestringrequiredType of the custom field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a contact doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).
enum: anniversary · date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider
positionintegerint32The position of the custom field in the list
choicesarray<string>A list of possible choices (for fields of type `multiple_choice` or `select_box`)
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.